AggregationSpecification.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.aggregation

## Enum AggregationSpecification.Kind

- java.lang.Object
- - java.lang.Enum<AggregationSpecification.Kind>
  - - org.apache.cassandra.db.aggregation.AggregationSpecification.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AggregationSpecification.Kind>
  Enclosing class:
    AggregationSpecification

      public static enum AggregationSpecification.Kind
      extends java.lang.Enum<AggregationSpecification.Kind>

  The `AggregationSpecification` kinds.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE_BY_PK_PREFIX`
    `AGGREGATE_EVERYTHING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AggregationSpecification.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AggregationSpecification.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGGREGATE_EVERYTHING

          public static final AggregationSpecification.Kind AGGREGATE_EVERYTHING

    - #### AGGREGATE_BY_PK_PREFIX

          public static final AggregationSpecification.Kind AGGREGATE_BY_PK_PREFIX

  - ### Method Detail

    - #### values

          public static AggregationSpecification.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggregationSpecification.Kind c : AggregationSpecification.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggregationSpecification.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation